基础不扎实,所以直接用代码教做人了:

<?php
ini_set('display_errors', '1');
ini_set('error_reporting', E_ALL);
try {
$b = "123";
$a = "abc";
if(!empty($conf)) {
throw new Exception('1');
} else if (isset($b)) {
throw new Exception('2');
} else {
throw new Exception('3');
}
}catch(Exception $e) {
echo "error Info:".$e->getMessage()."\n";
echo $a."\n";
echo $b."\n";
}

输出结果:

error Info:2
abc
123

结论:能调用。

Related Posts: PHP try中的变量catch能调用吗 :

avatar